Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# rb_context_struct Struct Reference

## Data Fields
enum context_type | type
VALUE | self
int | argc
VALUE | value
VALUE * | vm_stack
size_t | vm_stack_slen
size_t | vm_stack_clen
VALUE * | machine_stack
VALUE * | machine_stack_src
rb_thread_t | saved_thread
rb_jmpbuf_t | jmpbuf
size_t | machine_stack_size

## Detailed Description

Definition at line 25 of file cont.c.

## Field Documentation

int rb_context_struct::argc

Definition at line 28 of file cont.c.

Referenced by cont_capture(), fiber_store(), fiber_switch(), rb_cont_call(), and rb_fiber_start().

rb_jmpbuf_t rb_context_struct::jmpbuf

Definition at line 43 of file cont.c.

Referenced by cont_capture(), cont_restore_1(), fiber_init(), and fiber_store().

VALUE* rb_context_struct::machine_stack

Definition at line 35 of file cont.c.

Referenced by cont_free(), cont_mark(), cont_memsize(), cont_restore_1(), and cont_save_machine_stack().

size_t rb_context_struct::machine_stack_size

Definition at line 44 of file cont.c.

Referenced by cont_mark(), cont_memsize(), cont_restore_0(), cont_restore_1(), and cont_save_machine_stack().

VALUE* rb_context_struct::machine_stack_src

Definition at line 36 of file cont.c.

Referenced by cont_restore_0(), cont_restore_1(), and cont_save_machine_stack().

rb_thread_t rb_context_struct::saved_thread

Definition at line 42 of file cont.c.

Referenced by cont_capture(), cont_free(), cont_init(), cont_mark(), cont_memsize(), cont_restore_1(), cont_save_machine_stack(), fiber_free(), fiber_init(), fiber_memsize(), fiber_store(), fiber_switch(), rb_cont_call(), and rb_fiber_start().

VALUE rb_context_struct::self

Definition at line 27 of file cont.c.

Referenced by cont_capture(), cont_new(), cont_restore_1(), fiber_store(), fiber_t_alloc(), and rb_fiber_current().

enum context_type rb_context_struct::type

Definition at line 26 of file cont.c.

Referenced by cont_restore_1(), fiber_free(), fiber_memsize(), fiber_t_alloc(), and root_fiber_alloc().

VALUE rb_context_struct::value

Definition at line 29 of file cont.c.

Referenced by cont_capture(), cont_mark(), fiber_store(), fiber_switch(), rb_cont_call(), rb_fiber_start(), and rb_fiber_terminate().

VALUE* rb_context_struct::vm_stack

Definition at line 30 of file cont.c.

Referenced by cont_capture(), cont_free(), cont_mark(), cont_memsize(), cont_restore_1(), and fiber_init().

size_t rb_context_struct::vm_stack_clen

Definition at line 33 of file cont.c.

Referenced by cont_capture(), cont_mark(), cont_memsize(), and cont_restore_1().

size_t rb_context_struct::vm_stack_slen

Definition at line 32 of file cont.c.

Referenced by cont_capture(), cont_mark(), cont_memsize(), and cont_restore_1().

The documentation for this struct was generated from the following file:

- cont.c